# Type Alias UrlChangeListener

UrlChangeListener: (url: string, state: History["state"]) => void

A callback function that gets called when the browser URL or state changes.

#### Type declaration

- - (url: string, state: History["state"]): void

  - #### Parameters

    - url: string

      The new URL after the change (with trailing `#` removed).

    - state: History["state"]

      The new history state associated with the URL (`history.state`).

    #### Returns void

    void